using System;

namespace ConsoleApp16
{
    class Program
    {
        static void Main(string[] args)
        {
            //ulaz
            string[] s =(Console.ReadLine()).Split();
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);

            n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            for (int i = 0; i < n; i++)
                a[i] = int.Parse(Console.ReadLine());

            

        }
    }
}